locked
DSC problem: Sequence app with .Net Framework 4. as Middleware RRS feed

  • Question

  • Hi All!

    With App-v Sequencer 4.6SP1 it is possible to sequence .Net Framework 4. This is done with the following guide: http://support.microsoft.com/kb/2519958

    However, now I want to attach an application to this sequence like RoyalTS with the Dynamic Suite Composition tool. Royal TS needs .Net Framework 4 to install.

    After expanding .Net Framework 4 to the system, the Royal TS installer sees that .Net Framework 4 is installed and sequences without a problem. Now I have 2 sequences and run the DSC tool. But when the DSC tool is started it states that the .Net Framework 4.sprj file does not contain any valid OSDs... Because the .Net Framework 4 sequence misses the OSD, its not possible to select the sequence and thus it can't be coupled to the Royal TS sequence and the app probably won't work.

    How can this problem be overcome?


    Harm Peter Millaard MCSE, MCSA, MCITP, CCA, CCNA, CCSP, VCP
    Friday, May 20, 2011 8:32 AM

Answers

  • Hello,

    You can manually edit the OSD of Royal TS to locate the secondary SFT (osds are not needed).

    If you do not wish to edit it manually - you can open the .NET Framework 4.0 package and add a dummy shortcut - which will generate an OSD_file for you 
    /Znack
    • Proposed as answer by znack Tuesday, May 24, 2011 6:23 AM
    • Marked as answer by Harm Peter Millaard Tuesday, May 24, 2011 8:05 AM
    Monday, May 23, 2011 7:20 AM